import{__decorate}from"tslib";import{LitElement,html}from"lit";import{ifDefined}from"lit/directives/if-defined.js";import{query,property}from"lit/decorators.js";import"@material/web/checkbox/checkbox.js";class IxCheckbox extends LitElement{constructor(){super(...arguments),this.disabled=!1,this.checked=!1,this.error=!1,this.indeterminate=!1,this.required=!1,this.label="",this.ariaLabel=null,this.target="",this.htmlId=void 0,this.value="on",this.name=""}focus(){this.component.focus()}createRenderRoot(){return this}get renderCheckbox(){return html`<md-checkbox class="checkbox" aria-label="${this.ariaLabel||this.label}" ?checked="${this.checked}" ?disabled="${this.disabled}" ?indeterminate="${this.indeterminate}" touch-target="${this.target}" id="${ifDefined(this.htmlId)}" ?required="${this.required}" name="${this.name}"></md-checkbox>`}render(){return this.label?html`<style>[error]{--md-outlined-field-outline-width:2px}.checkbox-label{align-items:center;display:flex;gap:var(--ix-checkbox-radio-gap,.5rem)}.checkbox-label[error]{color:var(--ix-checkbox-clr-critical,var(--clr-critical,#db0028));--md-checkbox-outline-color:var(
              --ix-checkbox-clr-critical,
              var(--clr-critical, #db0028)
            );--md-checkbox-focus-outline-color:var(
              --ix-checkbox-clr-critical,
              var(--clr-critical, #db0028)
            );--md-checkbox-hover-outline-color:var(
              --ix-checkbox-clr-critical,
              var(--clr-critical, #db0028)
            )}.checkbox-label[disabled]{color:var(--ix-checkbox-clr-disabled,var(--clr-on-surface-disabled,#09224180))}[indeterminate]{--md-sys-color-primary:var(--clr-form-outline, #0922411f);--md-checkbox-outline-color:transparent;--md-checkbox-focus-outline-color:var(
              --ix-checkbox-indeterminante-focus-outline-color,
              transparent
            );--md-checkbox-hover-outline-color:var(
              --ix-checkbox-indeterminante-hover-outline-color,
              transparent
            )}</style><label class="checkbox-label" ?disabled="${this.disabled}" ?error="${this.error}">${this.renderCheckbox}<span>${this.label}</span></label>`:this.renderCheckbox}}__decorate([query(".checkbox")],IxCheckbox.prototype,"component",void 0),__decorate([property({type:Boolean})],IxCheckbox.prototype,"disabled",void 0),__decorate([property({type:Boolean})],IxCheckbox.prototype,"checked",void 0),__decorate([property({type:Boolean})],IxCheckbox.prototype,"error",void 0),__decorate([property({type:Boolean})],IxCheckbox.prototype,"indeterminate",void 0),__decorate([property({type:Boolean})],IxCheckbox.prototype,"required",void 0),__decorate([property()],IxCheckbox.prototype,"label",void 0),__decorate([property({attribute:"aria-label"})],IxCheckbox.prototype,"ariaLabel",void 0),__decorate([property({attribute:"touch-target"})],IxCheckbox.prototype,"target",void 0),__decorate([property({attribute:"html-id"})],IxCheckbox.prototype,"htmlId",void 0),__decorate([property()],IxCheckbox.prototype,"value",void 0),__decorate([property()],IxCheckbox.prototype,"name",void 0),customElements.define("ix-checkbox",IxCheckbox);
