import { LitElement } from 'lit';
import '@material/web/checkbox/checkbox.js';
import { Checkbox } from '@material/web/checkbox/internal/checkbox.js';
export declare class IxCheckbox extends LitElement {
    readonly component: Checkbox;
    disabled: boolean;
    checked: boolean;
    error: boolean;
    indeterminate: boolean;
    required: boolean;
    label: string;
    ariaLabel: string | null;
    target: 'wrapper' | '';
    htmlId: string | undefined;
    value: string;
    name: string;
    focus(): void;
    protected createRenderRoot(): this;
    get renderCheckbox(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
